function [res, hessian, fval] = LikModel2(spar, Y, X, Cst, rpar, B, nvar,...
                        I_mod, lb, ub, spar0);

%   Changing default options for maximization (check help for the command
%   'optimset'
if I_mod<3;
options  =  optimset('fmincon');
%options  =  optimset(options , 'Display'     , 'iter');
%options  =  optimset(options , 'TolFun'  , .001); 
%options  =  optimset(options , 'MaxFunEvals'  , 150); 
%options  =  optimset(options , 'PrecondBandWidth', .001); 

%options  =  optimset(options , 'Diagnostics' , 'on');
options  =  optimset(options , 'LargeScale'  , 'off');      % switch to medium-scale algorithms
options  =  optimset(options , 'MaxFunEvals'  , 2*10^3);
%options  =  optimset(options , 'HessUpdate'  , 'bfgs');
%options  =  optimset(options , 'HessUpdate'  , 'steepdesc');
%options  =  optimset(options , 'HessUpdate'  , 'dfp');
%options  =  optimset(options , 'LineSearchType', 'quadcubic');      
%options  =  optimset(options , 'LineSearchType', 'cubicpoly');      

else; 
options  =  optimset('fmincon');
options  =  optimset(options , 'Display'     , 'iter');
options  =  optimset(options , 'TolFun'  , .01); 
%options  =  optimset(options , 'MaxFunEvals'  , 150); 
%options  =  optimset(options , 'PrecondBandWidth', .001); 

%options  =  optimset(options , 'Diagnostics' , 'on');
options  =  optimset(options , 'LargeScale'  , 'off');      % switch to medium-scale algorithms
options  =  optimset(options , 'MaxFunEvals'  , 2*10^3);

%options  =  optimset(options , 'HessUpdate'  , 'bfgs');
%options  =  optimset(options , 'HessUpdate'  , 'steepdesc');
%options  =  optimset(options , 'HessUpdate'  , 'dfp');
%options  =  optimset(options , 'LineSearchType', 'quadcubic');      
%options  =  optimset(options , 'LineSearchType', 'cubicpoly');      
end;
[res,fval,exitflag,output,lambda,grad,hessian]= ...
    fmincon(@lik,spar, [],[], [], [], lb,ub, [], options);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function f = lik(b);
% likSPmodel(b, Y, X, Cst, rpar, B, nvar, I_mod);
% Specification of likelihood function for SI model
%   spar = [b;la;th; xi]; 
%   Parameters for SI: theta, xi, v
%b(3)= .0029;
%b(1) = .99;
if I_mod < 3; 
spar_i  = [spar0(1); b(1); spar0(3:4)];
Cst(1,1) = b(2);
else 
spar_i  = [spar0(1:2); b(1:2)];
Cst(1,1) = b(3);
end    
[G1, impact, eu] = solveTeoreticalModel(spar_i, rpar, nvar, I_mod);

K_x = size(X,2);
if sum(eu)~=2; 
    f   = 10^(10);
    %disp('Solution does not exist');
else;   
    H    = [eye(nvar) zeros(nvar,size(G1,1)-nvar)]; %"selection" matrix
    xtt1 = zeros(size(G1,1),1); 
    xtt1(1:K_x) = (X(1,:)*B')';
    f     = LogLik_SP1(Y, H , G1, impact, Cst*Cst',xtt1);
    f     = -f;

end
end    % end of function

end
    