function x1 =  bootk1(dat1,lval,u);
% bootstrap data sets 
%
% variables inside block are not reshufeled, the algorithm work like usual bootstrap if we think
% about blocks as a single observation. But initial value of each block is not fixed, it moves,
% only size is fixed, more on description see p. 9 of the paper
%  Program by Swanson 2003, translated from Gauss by Korenok 2004

% lval - size of the block 

N=size(dat1,1);
num_uns=floor(N/lval); % number of blocks to draw, floor needed for matlab 

% draw uniforms U[0,T-l+1]
undraw1=round((N-lval)*u(1:num_uns,1)); % generate starting value of the block 

x1=[];
for ib = 1:num_uns;

  x1=[x1;dat1(undraw1(ib)+1:undraw1(ib)+lval,:)];
  %x1 = block(1),block(2),..., block(num_uns)
end;