function rho = cross_acf(y, x, m)
% ================================
%   y - leading
%   x - lagging
% ================================

T   = size(y,1);
y_m = mean(y);
x_m = mean(x);

gam0  = mean((y - y_m).^2)*mean((x - x_m).^2);
gam0  = sqrt(gam0);
gam   = zeros(m,1);
rho   = zeros(m,1);

for i = 1:m
    gam(i) = sum((y(i+1:end)-y_m).*(x(1:end-i)-x_m))/T;
    rho(i) = gam(i)/gam0;
end
    
