function graphs4(x1, y1, y2, x2, y3, y4,name);
%CREATEFIGURE(X1,Y1,Y2,X2,Y3,Y4)
%  X1:  vector of x data
%  Y1:  matrix of y data
%  Y2:  matrix of y data
%  X2:  vector of x data
%  Y3:  matrix of y data
%  Y4:  matrix of y data
 
% Program that draws In-sample Fit and Residuals for Structural Models
% Estimated for different countries, Figures 2-7 in the paper.
 
 
%% Create figure
figure1 = figure('FileName',name,'PaperPosition',[-1.083 2.042 10.67 6.917]);
 
%% Create axes
axes1 = axes('Position',[0.03 0.55 0.36 0.36],'Parent',figure1);
%axis(axes1,[1965 2006 0.6477 12.33]);
title(axes1,'\pi_t');
box(axes1,'on');
hold(axes1,'all');
 
%% Create mutliple lines using matrix input to plot
plot1 = plot(x1,y1(:,1),'-k',x1,y1(:,2),'-+',...
                      x1, y1(:,3),'-x',x1, y1(:,4),'-.', x1, y1(:,5),'--'...
                      ,'LineWidth',1); axis tight;
 
%% Create axes
axes2 = axes('Position',[0.03 0.1 0.36 0.36],'Parent',figure1);
%axis(axes2,[1965 2006 -3.96 8.36]);
title(axes2,'\epsilon_t');
box(axes2,'on');
hold(axes2,'all');

plot2 = plot(x1,y2(:,1),'-+',...
                      x1, y2(:,2),'-x',x1,y2(:,3),'-.', x1, y2(:,4),'--'...
                      ,'LineWidth',1); axis tight;

%% Create mutliple lines using matrix input to plot

 
%% Create axes
axes3 = axes('Position',[0.45 0.55 0.36 0.36],'Parent',figure1);
%axis(axes3,[1984 2006 0.6477 5.064]);
title(axes3,'\pi_t');
box(axes3,'on');
hold(axes3,'all');
 
%% Create mutliple lines using matrix input to plot
plot2  = plot(x2,y3(:,1),'-k',x2,y3(:,2),'-+',...
                      x2, y3(:,3),'-x',x2, y3(:,4),'-.', x2, y3(:,5),'--'...
                      ,'LineWidth',1); axis tight;

 
%% Create legend
legend1 = legend(...
  axes3,{'H','C','SP','SPI','SI'},...
  'Position',[0.1384 0.009445 0.603 0.05714],...
  'Orientation','horizontal');
 
%% Create axes
axes4 = axes('Position',[0.45 0.1 0.36 0.36],'Parent',figure1);
%axis(axes4,[1984 2006 -2.146 2.647]);
title(axes4,'\epsilon_t');
box(axes4,'on');
hold(axes4,'all');
 
%% Create mutliple lines using matrix input to plot
plot4 = plot(x2,y4(:,1),'-+',...
                      x2, y4(:,2),'-x',x2,y4(:,3),'-.', x2, y4(:,4),'--'...
                      ,'LineWidth',1); axis tight;
 
saveas(gcf,['C:\Documents and Settings\Faculty\My Documents\tex\infoIV\graphs\',name,'.eps'], 'psc2');