function [outttu, simF] = zee2o(Yd,Yd1,Yds,Yds1,Umin,Uinc,Unum); 
%   calculate the main statistic for a given actual data series and simulated data series 
%   one statistic for each benchmark-alternative combination                              
%   i.e. calculate Z_{j,T,S} statistics                                                   
%------------------------------------------------------------------------------------------
%  BIVARIATE or JOINT DISTRIBUTION CASE
%------------------------------------------------------------------------------------------
%  for a given data series (Yd), actual data, there are NS columns of simulated series (Yds),
%  the fist for the benchmark model and the rest for the alternative models 
%  second part of equation 1 in the paper
%  Program by Korenok 2004

% % added march 2006
%  for i = 1:size(Yds,2);
%  Yds(Yds(:,i)<Umin(1),i) = 100;
%  Yds1(Yds1(:,i)<Umin(2),i) = 100;
%  end;
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
st_s = size(Yds,2)-1;
 SS = size(Yds,1);
 in = 1;
 outttu = zeros((Unum+1)^2,st_s);
 uuui=Umin(1)-Uinc(1);
    for ui = 1:Unum+1;
       uuui=uuui(1)+Uinc(1);
       uuuj=Umin(2)-Uinc(2);
         for uj = 1:Unum+1;
               uuuj=uuuj+Uinc(2);

                outu = zeros(1,st_s);
                % benchmark
                zN=sqrt(size(Yd,1)); % sqrt becauze we need sqrt(T)*z(j,T,S) 
                simFben=(1/SS)*sum(Yds(:,1)<uuui&Yds1(:,1)<uuuj,1); % 1/S*sum(1{Ys_t<u})
                pieceben=(1/zN)*sum(((Yd < uuui&Yd1 < uuuj)-simFben).^2,1); %1/sqrt(T)*sum(1{Yd<u}-1/S*sum(1{Ys_t<u})) 
                % the rest of simulations
                    
                for zi = 1:st_s;
                    simFalt = (1/SS)*sum(Yds(:,zi+1)<uuui&Yds1(:,zi+1)<uuuj,1); % 1/S*sum(1{Ys_t<u})
                    simFa(1,zi) = (1/zN)*sum(((Yd < uuui&Yd1<uuuj)-simFalt).^2,1);%1/sqrt(T)*sum(1{Yd<u}-1/S*sum(1{Ys_t<u}))]
                    outu(1,zi) = (pieceben-simFa(1,zi)); 
                end;    

                % outu is a row of Z_{j,T,S} statistics, one for each bench versus alternative comparison 
                % Thus, Yds, the simulated data, must have at least two columns to allow for the 
                % construction of one bench and at least one alternative 

                % this output is for a single u value
                outttu(in,:) = outu;
                simF(in,:) = [pieceben simFa];
                in = in+1;
          end;
            
    end;
